## dzl-frame-source dzl-frame-source |

## Functions

guint | dzl_frame_source_add ()

## Description

## Functions

### dzl_frame_source_add ()

    guint
    dzl_frame_source_add (guint frames_per_sec,
                          GSourceFunc callback,
                          gpointer user_data);

Creates a new frame source that will execute when the timeout interval for the source has elapsed. The timing will try to synchronize based on the end time of the animation.

#### Parameters

frames_per_sec | Target frames per second. | [in]
callback | A GSourceFunc to execute. | [in][scope notified]
user_data | User data for `callback` . | [in]

#### Returns

A source id that can be removed with `g_source_remove()`.

## Types and Values